> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine.md).

# Unreal Engine

设置 Convai Unreal Engine 插件，并为你的应用添加对话式 AI。

{% hint style="info" %}
从我们一些热门教程的示例项目开始：

* [动作示例项目（UE5.3）](https://drive.google.com/drive/u/1/folders/1UWgQMHTTSq4O45PtKCyr8sjZbbkq-2_o)
* [NPC 与 NPC 对话示例项目（UE5.3）](https://drive.google.com/drive/u/1/folders/1a_rzPDfjTxDju3q2ykzeJuzIeKlolg4V)
* [MetaHuman 和 ReadyPlayerMe 示例项目（UE5.0-5.2）](https://drive.google.com/drive/u/4/folders/1HNcghI9SG1NpCUaJWRX9Yh28HUF00-U0)
  {% endhint %}

{% embed url="<https://www.youtube.com/watch?ab_channel=Convai&list=PLn_7tCx0ChiogfggG1AVo6IkELQSLt6o3&v=HHJvY9dmwwg>" %}
使用演示项目在 Unreal Engine 中探索并测试 Convai。
{% endembed %}

## 指南

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>设置</strong></td><td>使用 Convai 插件设置你的项目。</td><td><a href="/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/guides-v2-under-development/getting-started/download-and-setup.md">安装</a></td></tr><tr><td>创建 MetaHuman 角色</td><td>带口型同步的 MetaHuman 角色</td><td><a href="/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/guides/creating-metahuman-characters.md">创建 MetaHuman 角色</a></td></tr><tr><td>创建 Reallusion 角色</td><td>带口型同步的 Reallusion 角色</td><td><a href="/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/guides/creating-reallusion-characters.md">创建 Reallusion 角色</a></td></tr></tbody></table>

## 了解更多 Unreal Engine SDK

<table data-view="cards" data-full-width="false"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>蓝图参考</strong></td><td>每个蓝图函数或组件的详细文档。</td><td><a href="/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine/blueprints-reference.md">Blueprint 参考</a></td></tr><tr><td><strong>更新日志</strong></td><td>跟踪 Unreal SDK 的变更。</td><td><a href="https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/CHANGELOG.md">https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/CHANGELOG.md</a></td></tr><tr><td><strong>GitHub 仓库</strong></td><td>访问 SDK 的源代码。</td><td><a href="https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/">https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/</a></td></tr><tr><td><strong>教程播放列表</strong></td><td>实现基础对话，可使用文字或语音。</td><td><a href="https://youtu.be/iGn_WMjfU-A">https://youtu.be/iGn_WMjfU-A</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/unreal-engine.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
